---
id: torrentccf
name: TorrentCCF
description: "TorrentCCF (TCCF) is a CHINESE Private Torrent Tracker for HD MOVIES / TV"
language: zh-CN
type: private
encoding: UTF-8
links:
  - https://et8.org/
legacylinks:
  - http://et8.org/

caps:
  categorymappings:
    - {id: 622, cat: Movies, desc: "Movies.电影"}
    - {id: 623, cat: TV, desc: "TV.电视剧"}
    - {id: 624, cat: TV/Documentary, desc: "Documentaries.纪录片"}
    - {id: 625, cat: PC, desc: "Appz.软件"}
    - {id: 626, cat: Audio, desc: "Music & MusicVideos.音乐及MV"}
    - {id: 627, cat: Other, desc: "Others.其他(非学习类)"}
    - {id: 628, cat: Books/Other, desc: "Elearning - 杂项学习"}
    - {id: 629, cat: Books/EBook, desc: "Elearning - 电子书/小说"}
    - {id: 630, cat: Books/EBook, desc: "Elearning - 电子书/非小说"}
    - {id: 631, cat: Books/Mags, desc: "Elearning - 杂志"}
    - {id: 632, cat: Books/Comics, desc: "Elearning - 漫画"}
    - {id: 633, cat: Audio/Audiobook, desc: "Elearning - 有声书"}
    - {id: 634, cat: Books, desc: "Elearning - 公开课"}
    - {id: 635, cat: Books, desc: "Elearning - 视频教程"}

  modes:
    search: [q]
    tv-search: [q, season, ep, imdbid, doubanid]
    movie-search: [q, imdbid, doubanid]
    music-search: [q]
    book-search: [q]

settings:
  - name: cookie
    type: text
    label: Cookie
  - name: info_cookie
    type: info_cookie
  - name: freeleech
    type: checkbox
    label: Search freeleech only
    default: false
  - name: sort
    type: select
    label: Sort requested from site
    default: 4
    options:
      4: created
      7: seeders
      5: size
      1: title
  - name: type
    type: select
    label: Order requested from site
    default: desc
    options:
      desc: desc
      asc: asc
  - name: info_tpp
    type: info
    label: Results Per Page
    default: For best results, change the <b>Torrents per page:</b> setting to <b>100</b> on your account profile.
  - name: info_activity
    type: info
    label: Account Inactivity
    default: "Cherish your user account. Inactive accounts would be deleted based on the following rules:<ol><li>Veteran User or above would never be deleted. updated @ 2020.03.19</li><li>Insane User or above would never be deleted if parked (at User CP)</li><li>Parked accounts would be disabled if users have not logged in for more than 365 days in a row. updated @ 2020.09.20</li><li>Un-parked accounts would be disabled if users have not logged in for more than 90 days in a row. updated @ 2020.09.20</li><li>Accounts with both uploaded and downloaded amount being 0 would be disabled if users have not logged in for more than 30 days in a row.</li></ol>"

login:
  # switched from the form method to the cookie method due to #9577
  method: cookie
  inputs:
    cookie: "{{ .Config.cookie }}"
  test:
    path: index.php
    selector: a[href="logout.php"]

search:
  paths:
    - path: torrents.php
      method: get
  inputs:
    $raw: "{{ range .Categories }}cat{{.}}=1&{{end}}"
    # currently supports only one query id at one time.
    search: "{{ if .Query.IMDBID }}{{ .Query.IMDBID }}{{ else }}{{ end }}{{ if or .Query.IMDBID .Query.DoubanID }} {{ else }}{{ .Keywords }}{{ end }}{{ if .Query.DoubanID }}{{ .Query.DoubanID }}{{ else }}{{ end }}"
    # 0 incldead, 1 active, 2 dead
    incldead: 0
    # 0 all, 1 normal, 2 free, 3 2x, 4 2xfree, 5 50%, 6 2x50%, 7 30%
    spstate: "{{ if .Config.freeleech }}2{{ else }}0{{ end }}"
    # 0 title, 1 descr, 3 uploader, 4 imdburl
    search_area: "{{ if .Query.IMDBID }}4{{ else }}{{ end }}{{ if .Query.DoubanID }}1{{ else }}{{ end }}{{ if or .Query.IMDBID .Query.DoubanID }}{{ else }}0{{ end }}"
    # 0 AND, 1 OR, 2 exact
    search_mode: 0
    sort: "{{ .Config.sort }}"
    type: "{{ .Config.type }}"
    notnewword: 1

  rows:
    selector: table.torrents > tbody > tr:has(table.torrentname)

  fields:
    category:
      selector: a[href^="?cat="]
      attribute: href
      filters:
        - name: querystring
          args: cat
    title:
      selector: a[href^="details.php?id="]
    details:
      selector: a[href^="details.php?id="]
      attribute: href
    download:
      selector: a[href^="download.php?id="]
      attribute: href
    imdbid:
      selector: a[href^="details.php?id="][onmouseover]
      attribute: onmouseover
      filters:
        - name: regexp
          args: tt(\d+)
    size:
      selector: td:nth-child(5)
    grabs:
      selector: td:nth-child(8)
    seeders:
      selector: td:nth-child(6)
    leechers:
      selector: td:nth-child(7)
    date_elapsed:
      # time type: time elapsed (default)
      selector: td:nth-child(4) > span[title]
      attribute: title
      optional: true
      filters:
        - name: append
          args: " +08:00" # CST
        - name: dateparse
          args: "yyyy-MM-dd HH:mm:ss zzz"
    date_added:
      # time added
      selector: td:nth-child(4):not(:has(span))
      optional: true
      filters:
        - name: append
          args: " +08:00" # CST
        - name: dateparse
          args: "yyyy-MM-ddHH:mm:ss zzz"
    date:
      text: "{{ if or .Result.date_elapsed .Result.date_added }}{{ or .Result.date_elapsed .Result.date_added }}{{ else }}now{{ end }}"
    downloadvolumefactor:
      case:
        img.pro_free: 0
        img.pro_free2up: 0
        img.pro_50pctdown: 0.5
        img.pro_50pctdown2up: 0.5
        img.pro_30pctdown: 0.3
        "*": 1
    uploadvolumefactor:
      case:
        img.pro_50pctdown2up: 2
        img.pro_free2up: 2
        img.pro_2up: 2
        "*": 1
    minimumratio:
      text: 0.8
    description:
      selector: td:nth-child(2)
      remove: a, img
# NexusPHP Standard v1.5 Beta 3
